%define name	man2web
%define version	0.88
%define release	1mdk

Summary:	Converts man pages to html.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/WWW
URL:		http://man2web.sourceforge.net/
Source0:	%{name}-%{version}.tar.bz2
Patch:		%{name}-%{version}.patch.bz2
Requires:	man-pages groff groff-for-man
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
man2web is a program for converting man (manual) output to html on
the fly (as a CGI program) or on the command line.

Install man2web if you want to view man pages with your web
browser.

%prep

%setup -q
%patch0 -p1 -b .config

%build

./configure \
    --prefix=%{_prefix} \
    --exec-prefix=%{_exec_prefix} \
    --bindir=/var/www/cgi-bin \
    --sbindir=%{_sbindir} \
    --sysconfdir=%{_sysconfdir} \
    --datadir=%{_datadir} \
    --includedir=%{_includedir} \
    --libdir=%{_libdir} \
    --libexecdir=%{_libexecdir} \
    --localstatedir=%{_localstatedir} \
    --sharedstatedir=%{_sharedstatedir} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir} \
    --with-distro=redhat-9 \
    --with-manpath=/usr/kerberos/man:/usr/local/man:/usr/share/man:/usr/X11R6/man:/usr/local/share/man

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

make DESTDIR="%{buildroot}" install

mv %{buildroot}%{_sysconfdir}/%{name}.conf.default %{buildroot}%{_sysconfdir}/%{name}.conf

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/%{name}.conf
/var/www/cgi-bin/%{name}
%{_mandir}/man1/%{name}.1*
%{_mandir}/man5/%{name}.conf.5*

%changelog
* Tue Apr 29 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.88-1mdk
- 0.88
- new configure line
- actually apply P0 this time...
- fix requires

* Tue Apr 22 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.87-1mdk
- initial cooker contrib
- used the provided spec file
